Subject: Re: bug#73500: eglot: diagnostic location not always shown

From: João Távora <[email-masked]>
Date: Sun, 29 Sep 2024 18:20:14 +0100

On Sun, Sep 29, 2024, 18:00 Federico Beffa <[email-masked]>
wrote:

> On 28/09/2024 23:18, João Távora wrote:
>
> On Sat, Sep 28, 2024 at 4:23 PM Federico Beffa
> ... Anyway, I couldn't reproduce your problem simply because the Main.hs
> program you provided does not seem to produce any diagnostics, according
> the haskell-language-server I installed in my system, which identifies
> itself as
>
> haskell-language-server version: 1.9.1.0 (GHC: 9.2.8) (PATH: /usr/bin/haskell-language-server)
>
>
> This is not the version I indicated in the `README.md` file: GHC 9.6.5
> with the supported haskell-language-server 2.8.0.0 (indicated in the
> initial bug report).
>

Well that's the server archlinux has on its repos.

Please use the indicated tool versions.

No I won't do that, sorry. Maybe you'll find someone who has time to
install your specific toolkit. But you can try out my recipe and see if you
get the one-char underlines I got.

João